//
//    Copyright (C) 2024 Hiperscan GmbH Dresden, Germany
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

using System;
using System.IO;
using Hiperscan.Unix;

namespace Hiperscan.Common.I18n
{
    public static class I18NCreator
    {
        public static bool Init(string application_domain = "Hiperscan", bool print_result = false)
        {
            DirectoryInfo dir = new DirectoryInfo("Messages");
            if (dir.Exists)
                Catalog.Init(application_domain, Path.Combine(".", "Messages"));
            else
                Catalog.Init(application_domain, ".");

            if (print_result)
                Console.WriteLine(CatalogLocale.Info);

            return "__i18n_complete__" != Catalog.GetString("__i18n_complete__");
        }
    }
}
